### Method

# WebKit2WebExtension DOMCSSStyleSheet add_rule

#### Declaration [src]

    glong
    webkit_dom_css_style_sheet_add_rule (
      WebKitDOMCSSStyleSheet* self,
      const gchar* selector,
      const gchar* style,
      gulong index,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`selector` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`style` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`index` | `gulong`
| A #gulong.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `glong`
| A #glong.